#### D.6.4.9 quickclass

Procedure from library `classify.lib` (see classify_lib).

Usage:
  quickclass(f); f=poly

Return:
  Normal form of f in Arnold's list

Remark:
  try to determine the normal form of f by invariants, mainly by computing the Hilbert function of the Milnor algebra, no coordinate change is needed (see also proc 'milnorcode').

Example:

    LIB "classify.lib";
    ring r=0,(x,y,z),ds;
    poly f=(x2+3y-2z)^2+xyz-(x-y3+x2*z3)^3;
    quickclass(f);
    ==> Singularity R-equivalent to :  D[k]=D[4]
    ==> normal form : z2+x2y+y3
    ==> z2+x2y+y3

User manual for Singular version 4.4.1, 2025, generated by texi2html.